Index: t3lib/class.t3lib_tceforms.php
===================================================================
--- t3lib/class.t3lib_tceforms.php	(revision 9469)
+++ t3lib/class.t3lib_tceforms.php	(revision )
@@ -999,49 +976,49 @@
 	 * @access private
 	 * @see getSingleField(), getSingleField_typeFlex_draw()
 	 */
-	function getSingleField_SW($table,$field,$row,&$PA)	{
+	function getSingleField_SW($table, $field, $row, &$PA) {
-		$PA['fieldConf']['config']['form_type'] = $PA['fieldConf']['config']['form_type'] ? $PA['fieldConf']['config']['form_type'] : $PA['fieldConf']['config']['type'];	// Using "form_type" locally in this script
+		$PA['fieldConf']['config']['form_type'] = $PA['fieldConf']['config']['form_type'] ? $PA['fieldConf']['config']['form_type'] : $PA['fieldConf']['config']['type']; // Using "form_type" locally in this script
 
-		// Hook: getSingleField_beforeRender
+			// Hook: getSingleField_beforeRender
 		foreach ($this->hookObjectsSingleField as $hookObject) {
 			if (method_exists($hookObject, 'getSingleField_beforeRender')) {
 				$hookObject->getSingleField_beforeRender($table, $field, $row, $PA);
 			}
 		}
 
-		switch($PA['fieldConf']['config']['form_type'])	{
+		switch ($PA['fieldConf']['config']['form_type']) {
 			case 'input':
-				$item = $this->getSingleField_typeInput($table,$field,$row,$PA);
+				$item = $this->getSingleField_typeInput($table, $field, $row, $PA);
 			break;
 			case 'text':
-				$item = $this->getSingleField_typeText($table,$field,$row,$PA);
+				$item = $this->getSingleField_typeText($table, $field, $row, $PA);
 			break;
 			case 'check':
-				$item = $this->getSingleField_typeCheck($table,$field,$row,$PA);
+				$item = $this->getSingleField_typeCheck($table, $field, $row, $PA);
 			break;
 			case 'radio':
-				$item = $this->getSingleField_typeRadio($table,$field,$row,$PA);
+				$item = $this->getSingleField_typeRadio($table, $field, $row, $PA);
 			break;
 			case 'select':
-				$item = $this->getSingleField_typeSelect($table,$field,$row,$PA);
+				$item = $this->getSingleField_typeSelect($table, $field, $row, $PA);
 			break;
 			case 'group':
-				$item = $this->getSingleField_typeGroup($table,$field,$row,$PA);
+				$item = $this->getSingleField_typeGroup($table, $field, $row, $PA);
 			break;
 			case 'inline':
-				$item = $this->inline->getSingleField_typeInline($table,$field,$row,$PA);
+				$item = $this->inline->getSingleField_typeInline($table, $field, $row, $PA);
 			break;
 			case 'none':
-				$item = $this->getSingleField_typeNone($table,$field,$row,$PA);
+				$item = $this->getSingleField_typeNone($table, $field, $row, $PA);
 			break;
 			case 'user':
-				$item = $this->getSingleField_typeUser($table,$field,$row,$PA);
+				$item = $this->getSingleField_typeUser($table, $field, $row, $PA);
 			break;
 			case 'flex':
-				$item = $this->getSingleField_typeFlex($table,$field,$row,$PA);
+				$item = $this->getSingleField_typeFlex($table, $field, $row, $PA);
 			break;
 			default:
-				$item = $this->getSingleField_typeUnknown($table,$field,$row,$PA);
+				$item = $this->getSingleField_typeUnknown($table, $field, $row, $PA);
 			break;
 		}
 
@@ -1049,23 +1026,6 @@
 	}
 
 
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
 	/**********************************************************
 	 *
 	 * Rendering of each TCEform field type
@@ -1082,20 +1042,20 @@
 	 * @param	array		An array with additional configuration options.
 	 * @return	string		The HTML code for the TCEform field
 	 */
-	function getSingleField_typeInput($table,$field,$row,&$PA)	{
+	function getSingleField_typeInput($table, $field, $row, &$PA) {
 		$config = $PA['fieldConf']['config'];
 
 		$specConf = $this->getSpecConfFromString($PA['extra'], $PA['fieldConf']['defaultExtras']);
-		$size = t3lib_div::intInRange($config['size']?$config['size']:30,5,$this->maxInputWidth);
+		$size = t3lib_div::intInRange($config['size'] ? $config['size'] : 30, 5, $this->maxInputWidth);
-		$evalList = t3lib_div::trimExplode(',',$config['eval'],1);
+		$evalList = t3lib_div::trimExplode(',', $config['eval'], 1);
 		$classAndStyleAttributes = $this->formWidthAsArray($size);
 
 		$fieldAppendix = '';
-		$cssClasses    = array($classAndStyleAttributes['class']);
+		$cssClasses = array($classAndStyleAttributes['class']);
-		$cssStyle      = $classAndStyleAttributes['style'];
+		$cssStyle = $classAndStyleAttributes['style'];
 
-		if(in_array('date', $evalList) || in_array('datetime', $evalList)) {
+		if (in_array('date', $evalList) || in_array('datetime', $evalList)) {
-			if(in_array('datetime', $evalList)) {
+			if (in_array('datetime', $evalList)) {
 				$class = 'datetime';
 			} else {
 				$class = 'date';
@@ -1112,8 +1072,8 @@
 			$fieldAppendix = t3lib_iconWorks::getSpriteIcon(
 				'actions-edit-pick-date',
 				array(
-					'style' => 'cursor:pointer;',
-					'id' => 'picker-' . $inputId
+					 'style' => 'cursor:pointer;',
+					 'id' => 'picker-' . $inputId
 				)
 			);
 		} elseif (in_array('timesec', $evalList)) {
@@ -1150,16 +1110,16 @@
 			$cssClasses[] = 'tceforms-textfield tceforms-colorfield';
 		}
 
-		if($this->renderReadonly || $config['readOnly'])  {
+		if ($this->renderReadonly || $config['readOnly']) {
 			$itemFormElValue = $PA['itemFormElValue'];
-			if (in_array('date',$evalList))	{
+			if (in_array('date', $evalList)) {
 				$config['format'] = 'date';
-			} elseif (in_array('datetime',$evalList))	{
+			} elseif (in_array('datetime', $evalList)) {
 				$config['format'] = 'datetime';
-			} elseif (in_array('time',$evalList))	{
+			} elseif (in_array('time', $evalList)) {
 				$config['format'] = 'time';
 			}
-			if (in_array('password',$evalList))	{
+			if (in_array('password', $evalList)) {
 				$itemFormElValue = $itemFormElValue ? '*********' : '';
 			}
 			return $this->getSingleField_typeNone_render($config, $itemFormElValue);
@@ -1168,31 +1128,31 @@
 		foreach ($evalList as $func) {
 			switch ($func) {
 				case 'required':
-					$this->registerRequiredProperty('field', $table.'_'.$row['uid'].'_'.$field, $PA['itemFormElName']);
+					$this->registerRequiredProperty('field', $table . '_' . $row['uid'] . '_' . $field, $PA['itemFormElName']);
 						// Mark this field for date/time disposal:
 					if (array_intersect($evalList, array('date', 'datetime', 'time'))) {
-						 $this->requiredAdditional[$PA['itemFormElName']]['isPositiveNumber'] = true;
+						$this->requiredAdditional[$PA['itemFormElName']]['isPositiveNumber'] = true;
 					}
-					break;
+				break;
 				default:
-					if (substr($func, 0, 3) == 'tx_')	{
+					if (substr($func, 0, 3) == 'tx_') {
-						// Pair hook to the one in t3lib_TCEmain::checkValue_input_Eval()
+							// Pair hook to the one in t3lib_TCEmain::checkValue_input_Eval()
-						$evalObj = t3lib_div::getUserObj($GLOBALS['TYPO3_CONF_VARS']['SC_OPTIONS']['tce']['formevals'][$func].':&'.$func);
+						$evalObj = t3lib_div::getUserObj($GLOBALS['TYPO3_CONF_VARS']['SC_OPTIONS']['tce']['formevals'][$func] . ':&' . $func);
-						if (is_object($evalObj) && method_exists($evalObj, 'deevaluateFieldValue'))	{
+						if (is_object($evalObj) && method_exists($evalObj, 'deevaluateFieldValue')) {
 							$_params = array(
 								'value' => $PA['itemFormElValue']
 							);
 							$PA['itemFormElValue'] = $evalObj->deevaluateFieldValue($_params);
 						}
 					}
-					break;
+				break;
 			}
 		}
 
 		$paramsList = "'" . $PA['itemFormElName'] . "','" . implode(',', $evalList) . "','" . trim($config['is_in']) . "'," . (isset($config['checkbox']) ? 1 : 0) . ",'" . $config['checkbox'] . "'";
 		if ((in_array('date', $evalList) || in_array('datetime', $evalList))) {
 			$item .= '<span class="t3-tceforms-input-wrapper-datetime" onmouseOver="if (document.getElementById(\'' .
-					$inputId . '\').value) {this.className=\'t3-tceforms-input-wrapper-datetime-hover\';} else {this.className=\'t3-tceforms-input-wrapper-datetime\';};" onmouseOut="this.className=\'t3-tceforms-input-wrapper-datetime\';">';
+					 $inputId . '\').value) {this.className=\'t3-tceforms-input-wrapper-datetime-hover\';} else {this.className=\'t3-tceforms-input-wrapper-datetime\';};" onmouseOut="this.className=\'t3-tceforms-input-wrapper-datetime\';">';
 
 				// Add server timezone offset to UTC to our stored date
 			if ($PA['itemFormElValue'] > 0) {
@@ -1200,7 +1160,7 @@
 			}
 		} else {
 			$item .= '<span class="t3-tceforms-input-wrapper" onmouseOver="if (document.getElementById(\'' . $inputId .
-					'\').value) {this.className=\'t3-tceforms-input-wrapper-hover\';} else {this.className=\'t3-tceforms-input-wrapper\';};" onmouseOut="this.className=\'t3-tceforms-input-wrapper\';">';
+					 '\').value) {this.className=\'t3-tceforms-input-wrapper-hover\';} else {this.className=\'t3-tceforms-input-wrapper\';};" onmouseOut="this.className=\'t3-tceforms-input-wrapper\';">';
 		}
 
 		$PA['fieldChangeFunc'] = array_merge(
@@ -1215,30 +1175,30 @@
 		$iOnChange = implode('', $PA['fieldChangeFunc']);
 
 		$item .= '<input type="text" id="' . $inputId .
-				'" class="' . implode(' ', $cssClasses) . '" name="' . $PA['itemFormElName'] .
-				'_hr" value="" style="' . $cssStyle . '" maxlength="' . $mLgd . '" onchange="' .
-				htmlspecialchars($iOnChange) . '"' . $PA['onFocus'] . ' />'; // This is the EDITABLE form field.
+				 '" class="' . implode(' ', $cssClasses) . '" name="' . $PA['itemFormElName'] .
+				 '_hr" value="" style="' . $cssStyle . '" maxlength="' . $mLgd . '" onchange="' .
+				 htmlspecialchars($iOnChange) . '"' . $PA['onFocus'] . ' />'; // This is the EDITABLE form field.
 		$item .= '<input type="hidden" name="' . $PA['itemFormElName'] . '" value="' .
-				htmlspecialchars($PA['itemFormElValue']) . '" />'; // This is the ACTUAL form field - values from the EDITABLE field must be transferred to this field which is the one that is written to the database.
+				 htmlspecialchars($PA['itemFormElValue']) . '" />'; // This is the ACTUAL form field - values from the EDITABLE field must be transferred to this field which is the one that is written to the database.
 		$item .= $fieldAppendix . '</span><div style="clear:both;"></div>';
 		$this->extJSCODE .= 'typo3form.fieldSet(' . $paramsList . ');';
 
 			// going through all custom evaluations configured for this field
 		foreach ($evalList as $evalData) {
-			if (substr($evalData, 0, 3) == 'tx_')	{
+			if (substr($evalData, 0, 3) == 'tx_') {
-				$evalObj = t3lib_div::getUserObj($GLOBALS['TYPO3_CONF_VARS']['SC_OPTIONS']['tce']['formevals'][$evalData].':&'.$evalData);
+				$evalObj = t3lib_div::getUserObj($GLOBALS['TYPO3_CONF_VARS']['SC_OPTIONS']['tce']['formevals'][$evalData] . ':&' . $evalData);
-				if(is_object($evalObj) && method_exists($evalObj, 'returnFieldJS'))	{
+				if (is_object($evalObj) && method_exists($evalObj, 'returnFieldJS')) {
-					$this->extJSCODE .= "\n\nfunction ".$evalData."(value) {\n".$evalObj->returnFieldJS()."\n}\n";
+					$this->extJSCODE .= "\n\nfunction " . $evalData . "(value) {\n" . $evalObj->returnFieldJS() . "\n}\n";
 				}
 			}
 		}
 
 			// Creating an alternative item without the JavaScript handlers.
-		$altItem = '<input type="hidden" name="'.$PA['itemFormElName'].'_hr" value="" />';
+		$altItem = '<input type="hidden" name="' . $PA['itemFormElName'] . '_hr" value="" />';
-		$altItem.= '<input type="hidden" name="'.$PA['itemFormElName'].'" value="'.htmlspecialchars($PA['itemFormElValue']).'" />';
+		$altItem .= '<input type="hidden" name="' . $PA['itemFormElName'] . '" value="' . htmlspecialchars($PA['itemFormElValue']) . '" />';
 
 			// Wrap a wizard around the item?
-		$item= $this->renderWizards(array($item,$altItem),$config['wizards'],$table,$row,$field,$PA,$PA['itemFormElName'].'_hr',$specConf);
+		$item = $this->renderWizards(array($item, $altItem), $config['wizards'], $table, $row, $field, $PA, $PA['itemFormElName'] . '_hr', $specConf);
 
 		return $item;
 	}
@@ -1253,13 +1213,13 @@
 	 * @param	array		An array with additional configuration options.
 	 * @return	string		The HTML code for the TCEform field
 	 */
-	function getSingleField_typeText($table,$field,$row,&$PA)	{
+	function getSingleField_typeText($table, $field, $row, &$PA) {
 
 			// Init config:
 		$config = $PA['fieldConf']['config'];
 		$evalList = t3lib_div::trimExplode(',', $config['eval'], 1);
 
-		if($this->renderReadonly || $config['readOnly'])  {
+		if ($this->renderReadonly || $config['readOnly']) {
 			return $this->getSingleField_typeNone_render($config, $PA['itemFormElValue']);
 		}
 
@@ -1268,41 +1228,43 @@
 
 			// Setting number of rows:
 		$origRows = $rows = t3lib_div::intInRange($config['rows'] ? $config['rows'] : 5, 1, 20);
-		if (strlen($PA['itemFormElValue']) > $this->charsPerRow*2)	{
+		if (strlen($PA['itemFormElValue']) > $this->charsPerRow * 2) {
 			$cols = $this->maxTextareaWidth;
-			$rows = t3lib_div::intInRange(round(strlen($PA['itemFormElValue'])/$this->charsPerRow), count(explode(LF,$PA['itemFormElValue'])), 20);
+			$rows = t3lib_div::intInRange(round(strlen($PA['itemFormElValue']) / $this->charsPerRow), count(explode(LF, $PA['itemFormElValue'])), 20);
-			if ($rows<$origRows)	$rows = $origRows;
+			if ($rows < $origRows) {
+				$rows = $origRows;
-		}
+			}
+		}
 
-		if (in_array('required', $evalList))	{
+		if (in_array('required', $evalList)) {
 			$this->requiredFields[$table . '_' . $row['uid'] . '_' . $field] = $PA['itemFormElName'];
 		}
 
 			// Init RTE vars:
-		$RTEwasLoaded = 0;				// Set true, if the RTE is loaded; If not a normal textarea is shown.
+		$RTEwasLoaded = 0; // Set true, if the RTE is loaded; If not a normal textarea is shown.
-		$RTEwouldHaveBeenLoaded = 0;	// Set true, if the RTE would have been loaded if it wasn't for the disable-RTE flag in the bottom of the page...
+		$RTEwouldHaveBeenLoaded = 0; // Set true, if the RTE would have been loaded if it wasn't for the disable-RTE flag in the bottom of the page...
 
 			// "Extra" configuration; Returns configuration for the field based on settings found in the "types" fieldlist. Traditionally, this is where RTE configuration has been found.
 		$specConf = $this->getSpecConfFromString($PA['extra'], $PA['fieldConf']['defaultExtras']);
 
 			// Setting up the altItem form field, which is a hidden field containing the value
-		$altItem = '<input type="hidden" name="'.htmlspecialchars($PA['itemFormElName']).'" value="'.htmlspecialchars($PA['itemFormElValue']).'" />';
+		$altItem = '<input type="hidden" name="' . htmlspecialchars($PA['itemFormElName']) . '" value="' . htmlspecialchars($PA['itemFormElValue']) . '" />';
 
 			// If RTE is generally enabled (TYPO3_CONF_VARS and user settings)
 		if ($this->RTEenabled) {
 			$p = t3lib_BEfunc::getSpecConfParametersFromArray($specConf['rte_transform']['parameters']);
-			if (isset($specConf['richtext']) && (!$p['flag'] || !$row[$p['flag']]))	{	// If the field is configured for RTE and if any flag-field is not set to disable it.
+			if (isset($specConf['richtext']) && (!$p['flag'] || !$row[$p['flag']])) { // If the field is configured for RTE and if any flag-field is not set to disable it.
-				t3lib_BEfunc::fixVersioningPid($table,$row);
+				t3lib_BEfunc::fixVersioningPid($table, $row);
-				list($tscPID,$thePidValue) = $this->getTSCpid($table,$row['uid'],$row['pid']);
+				list($tscPID, $thePidValue) = $this->getTSCpid($table, $row['uid'], $row['pid']);
 
 					// If the pid-value is not negative (that is, a pid could NOT be fetched)
-				if ($thePidValue >= 0)	{
+				if ($thePidValue >= 0) {
-					$RTEsetup = $GLOBALS['BE_USER']->getTSConfig('RTE',t3lib_BEfunc::getPagesTSconfig($tscPID));
+					$RTEsetup = $GLOBALS['BE_USER']->getTSConfig('RTE', t3lib_BEfunc::getPagesTSconfig($tscPID));
-					$RTEtypeVal = t3lib_BEfunc::getTCAtypeValue($table,$row);
+					$RTEtypeVal = t3lib_BEfunc::getTCAtypeValue($table, $row);
-					$thisConfig = t3lib_BEfunc::RTEsetup($RTEsetup['properties'],$table,$field,$RTEtypeVal);
+					$thisConfig = t3lib_BEfunc::RTEsetup($RTEsetup['properties'], $table, $field, $RTEtypeVal);
 
-					if (!$thisConfig['disabled'])	{
+					if (!$thisConfig['disabled']) {
-						if (!$this->disableRTE)	{
+						if (!$this->disableRTE) {
 							$this->RTEcounter++;
 
 								// Find alternative relative path for RTE images/links:
@@ -1311,79 +1273,93 @@
 
 								// Get RTE object, draw form and set flag:
 							$RTEobj = t3lib_BEfunc::RTEgetObj();
-							$item = $RTEobj->drawRTE($this,$table,$field,$row,$PA,$specConf,$thisConfig,$RTEtypeVal,$RTErelPath,$thePidValue);
+							$item = $RTEobj->drawRTE($this, $table, $field, $row, $PA, $specConf, $thisConfig, $RTEtypeVal, $RTErelPath, $thePidValue);
 
 								// Wizard:
-							$item = $this->renderWizards(array($item,$altItem),$config['wizards'],$table,$row,$field,$PA,$PA['itemFormElName'],$specConf,1);
+							$item = $this->renderWizards(array($item, $altItem), $config['wizards'], $table, $row, $field, $PA, $PA['itemFormElName'], $specConf, 1);
 
 							$RTEwasLoaded = 1;
 						} else {
 							$RTEwouldHaveBeenLoaded = 1;
-							$this->commentMessages[] = $PA['itemFormElName'].': RTE is disabled by the on-page RTE-flag (probably you can enable it by the check-box in the bottom of this page!)';
+							$this->commentMessages[] = $PA['itemFormElName'] . ': RTE is disabled by the on-page RTE-flag (probably you can enable it by the check-box in the bottom of this page!)';
 						}
-					} else $this->commentMessages[] = $PA['itemFormElName'].': RTE is disabled by the Page TSconfig, "RTE"-key (eg. by RTE.default.disabled=0 or such)';
-				} else $this->commentMessages[] = $PA['itemFormElName'].': PID value could NOT be fetched. Rare error, normally with new records.';
-			} else {
+					} else {
-				if (!isset($specConf['richtext']))	$this->commentMessages[] = $PA['itemFormElName'].': RTE was not configured for this field in TCA-types';
-				if (!(!$p['flag'] || !$row[$p['flag']]))	 $this->commentMessages[] = $PA['itemFormElName'].': Field-flag ('.$PA['flag'].') has been set to disable RTE!';
+						$this->commentMessages[] = $PA['itemFormElName'] . ': RTE is disabled by the Page TSconfig, "RTE"-key (eg. by RTE.default.disabled=0 or such)';
-			}
+					}
+				} else {
+					$this->commentMessages[] = $PA['itemFormElName'] . ': PID value could NOT be fetched. Rare error, normally with new records.';
-		}
+				}
+			} else {
+				if (!isset($specConf['richtext'])) {
+					$this->commentMessages[] = $PA['itemFormElName'] . ': RTE was not configured for this field in TCA-types';
+				}
+				if (!(!$p['flag'] || !$row[$p['flag']])) {
+					$this->commentMessages[] = $PA['itemFormElName'] . ': Field-flag (' . $PA['flag'] . ') has been set to disable RTE!';
+				}
+			}
+		}
 
 			// Display ordinary field if RTE was not loaded.
 		if (!$RTEwasLoaded) {
-			if ($specConf['rte_only'])	{	// Show message, if no RTE (field can only be edited with RTE!)
+			if ($specConf['rte_only']) { // Show message, if no RTE (field can only be edited with RTE!)
-				$item = '<p><em>'.htmlspecialchars($this->getLL('l_noRTEfound')).'</em></p>';
+				$item = '<p><em>' . htmlspecialchars($this->getLL('l_noRTEfound')) . '</em></p>';
 			} else {
-				if ($specConf['nowrap'])	{
+				if ($specConf['nowrap']) {
 					$wrap = 'off';
 				} else {
 					$wrap = ($config['wrap'] ? $config['wrap'] : 'virtual');
 				}
 
 				$classes = array();
-				if ($specConf['fixed-font'])	{ $classes[] = 'fixed-font'; }
-				if ($specConf['enable-tab'])	{ $classes[] = 'enable-tab'; }
+				if ($specConf['fixed-font']) {
+					$classes[] = 'fixed-font';
+				}
+				if ($specConf['enable-tab']) {
+					$classes[] = 'enable-tab';
+				}
 
-				$formWidthText = $this->formWidthText($cols,$wrap);
+				$formWidthText = $this->formWidthText($cols, $wrap);
 
 					// Extract class attributes from $formWidthText (otherwise it would be added twice to the output)
 				$res = array();
-				if (preg_match('/ class="(.+?)"/',$formWidthText,$res))	{
+				if (preg_match('/ class="(.+?)"/', $formWidthText, $res)) {
-					$formWidthText = str_replace(' class="'.$res[1].'"','',$formWidthText);
+					$formWidthText = str_replace(' class="' . $res[1] . '"', '', $formWidthText);
-					$classes = array_merge($classes, explode(' ',$res[1]));
+					$classes = array_merge($classes, explode(' ', $res[1]));
 				}
 
-				if (count($classes))	{
+				if (count($classes)) {
-					$class = ' class="tceforms-textarea '.implode(' ',$classes).'"';
+					$class = ' class="tceforms-textarea ' . implode(' ', $classes) . '"';
-				} else $class='tceforms-textarea';
+				} else {
+					$class = 'tceforms-textarea';
+				}
 
-				$evalList = t3lib_div::trimExplode(',',$config['eval'],1);
+				$evalList = t3lib_div::trimExplode(',', $config['eval'], 1);
 				foreach ($evalList as $func) {
 					switch ($func) {
 						case 'required':
-							$this->registerRequiredProperty('field', $table.'_'.$row['uid'].'_'.$field, $PA['itemFormElName']);
+							$this->registerRequiredProperty('field', $table . '_' . $row['uid'] . '_' . $field, $PA['itemFormElName']);
-							break;
+						break;
 						default:
-							if (substr($func, 0, 3) == 'tx_')	{
+							if (substr($func, 0, 3) == 'tx_') {
-								// Pair hook to the one in t3lib_TCEmain::checkValue_input_Eval() and t3lib_TCEmain::checkValue_text_Eval()
+									// Pair hook to the one in t3lib_TCEmain::checkValue_input_Eval() and t3lib_TCEmain::checkValue_text_Eval()
-								$evalObj = t3lib_div::getUserObj($GLOBALS['TYPO3_CONF_VARS']['SC_OPTIONS']['tce']['formevals'][$func].':&'.$func);
+								$evalObj = t3lib_div::getUserObj($GLOBALS['TYPO3_CONF_VARS']['SC_OPTIONS']['tce']['formevals'][$func] . ':&' . $func);
-								if (is_object($evalObj) && method_exists($evalObj, 'deevaluateFieldValue'))	{
+								if (is_object($evalObj) && method_exists($evalObj, 'deevaluateFieldValue')) {
 									$_params = array(
 										'value' => $PA['itemFormElValue']
 									);
 									$PA['itemFormElValue'] = $evalObj->deevaluateFieldValue($_params);
 								}
 							}
-							break;
+						break;
 					}
 				}
 
-				$iOnChange = implode('',$PA['fieldChangeFunc']);
+				$iOnChange = implode('', $PA['fieldChangeFunc']);
-				$item.= '
+				$item .= '
-							<textarea id="' . uniqid('tceforms-textarea-') . '" name="'.$PA['itemFormElName'].'"'.$formWidthText.$class.' rows="'.$rows.'" wrap="'.$wrap.'" onchange="'.htmlspecialchars($iOnChange).'"'.$PA['onFocus'].'>'.
+							<textarea id="' . uniqid('tceforms-textarea-') . '" name="' . $PA['itemFormElName'] . '"' . $formWidthText . $class . ' rows="' . $rows . '" wrap="' . $wrap . '" onchange="' . htmlspecialchars($iOnChange) . '"' . $PA['onFocus'] . '>' .
-							t3lib_div::formatForTextarea($PA['itemFormElValue']).
+						 t3lib_div::formatForTextarea($PA['itemFormElValue']) .
-							'</textarea>';
+						 '</textarea>';
-				$item = $this->renderWizards(array($item,$altItem),$config['wizards'],$table,$row,$field,$PA,$PA['itemFormElName'],$specConf,$RTEwouldHaveBeenLoaded);
+				$item = $this->renderWizards(array($item, $altItem), $config['wizards'], $table, $row, $field, $PA, $PA['itemFormElName'], $specConf, $RTEwouldHaveBeenLoaded);
 			}
 		}
 
@@ -1401,59 +1377,67 @@
 	 * @param	array		An array with additional configuration options.
 	 * @return	string		The HTML code for the TCEform field
 	 */
-	function getSingleField_typeCheck($table,$field,$row,&$PA)	{
+	function getSingleField_typeCheck($table, $field, $row, &$PA) {
 		$config = $PA['fieldConf']['config'];
 
 		$disabled = '';
-		if($this->renderReadonly || $config['readOnly'])  {
+		if ($this->renderReadonly || $config['readOnly']) {
 			$disabled = ' disabled="disabled"';
 		}
 
 			// Traversing the array of items:
 		$selItems = $this->initItemArray($PA['fieldConf']);
-		if ($config['itemsProcFunc']) $selItems = $this->procItems($selItems,$PA['fieldTSConfig']['itemsProcFunc.'],$config,$table,$row,$field);
+		if ($config['itemsProcFunc']) {
+			$selItems = $this->procItems($selItems, $PA['fieldTSConfig']['itemsProcFunc.'], $config, $table, $row, $field);
+		}
 
-		if (!count($selItems))	{
+		if (!count($selItems)) {
-			$selItems[]=array('','');
+			$selItems[] = array('', '');
 		}
 		$thisValue = intval($PA['itemFormElValue']);
 
 		$cols = intval($config['cols']);
-		if ($cols > 1)	{
+		if ($cols > 1) {
-			$item.= '<table border="0" cellspacing="0" cellpadding="0" class="typo3-TCEforms-checkboxArray">';
+			$item .= '<table border="0" cellspacing="0" cellpadding="0" class="typo3-TCEforms-checkboxArray">';
-			for ($c=0;$c<count($selItems);$c++) {
+			for ($c = 0; $c < count($selItems); $c++) {
 				$p = $selItems[$c];
-				if(!($c%$cols))	{ $item.='<tr>'; }
+				if (!($c % $cols)) {
+					$item .= '<tr>';
+				}
-				$cBP = $this->checkBoxParams($PA['itemFormElName'],$thisValue,$c,count($selItems),implode('',$PA['fieldChangeFunc']));
+				$cBP = $this->checkBoxParams($PA['itemFormElName'], $thisValue, $c, count($selItems), implode('', $PA['fieldChangeFunc']));
-				$cBName = $PA['itemFormElName'].'_'.$c;
+				$cBName = $PA['itemFormElName'] . '_' . $c;
-				$cBID = $PA['itemFormElID'].'_'.$c;
+				$cBID = $PA['itemFormElID'] . '_' . $c;
-				$item.= '<td nowrap="nowrap">'.
+				$item .= '<td nowrap="nowrap">' .
-						'<input type="checkbox"'.$this->insertDefStyle('check').' value="1" name="'.$cBName.'"'.$cBP.$disabled.' id="'.$cBID.'" />'.
+						 '<input type="checkbox"' . $this->insertDefStyle('check') . ' value="1" name="' . $cBName . '"' . $cBP . $disabled . ' id="' . $cBID . '" />' .
-						$this->wrapLabels('<label for="'.$cBID.'">'.htmlspecialchars($p[0]).'</label>&nbsp;').
+						 $this->wrapLabels('<label for="' . $cBID . '">' . htmlspecialchars($p[0]) . '</label>&nbsp;') .
-						'</td>';
+						 '</td>';
-				if(($c%$cols)+1==$cols)	{$item.='</tr>';}
+				if (($c % $cols) + 1 == $cols) {
+					$item .= '</tr>';
-			}
+				}
+			}
-			if ($c%$cols)	{
+			if ($c % $cols) {
-				$rest=$cols-($c%$cols);
+				$rest = $cols - ($c % $cols);
-				for ($c=0;$c<$rest;$c++) {
+				for ($c = 0; $c < $rest; $c++) {
-					$item.= '<td></td>';
+					$item .= '<td></td>';
 				}
-				if ($c>0)	{ $item.= '</tr>'; }
+				if ($c > 0) {
+					$item .= '</tr>';
-			}
+				}
+			}
-			$item.= '</table>';
+			$item .= '</table>';
 		} else {
-			for ($c=0;$c<count($selItems);$c++) {
+			for ($c = 0; $c < count($selItems); $c++) {
 				$p = $selItems[$c];
-				$cBP = $this->checkBoxParams($PA['itemFormElName'],$thisValue,$c,count($selItems),implode('',$PA['fieldChangeFunc']));
+				$cBP = $this->checkBoxParams($PA['itemFormElName'], $thisValue, $c, count($selItems), implode('', $PA['fieldChangeFunc']));
-				$cBName = $PA['itemFormElName'].'_'.$c;
+				$cBName = $PA['itemFormElName'] . '_' . $c;
-				$cBID = $PA['itemFormElID'].'_'.$c;
+				$cBID = $PA['itemFormElID'] . '_' . $c;
-				$item.= ($c>0?'<br />':'').
+				$item .= ($c > 0 ? '<br />' : '') .
-						'<input type="checkbox"'.$this->insertDefStyle('check').' value="1" name="'.$cBName.'"'.$cBP.$PA['onFocus'].$disabled.' id="'.$cBID.'" />'.
+						 '<input type="checkbox"' . $this->insertDefStyle('check') . ' value="1" name="' . $cBName . '"' . $cBP . $PA['onFocus'] . $disabled . ' id="' . $cBID . '" />' .
-						$this->wrapLabels('<label for="'.$cBID.'">'.htmlspecialchars($p[0]).'</label>');
+						 $this->wrapLabels('<label for="' . $cBID . '">' . htmlspecialchars($p[0]) . '</label>');
 			}
 		}
 		if (!$disabled) {
-			$item.= '<input type="hidden" name="'.$PA['itemFormElName'].'" value="'.htmlspecialchars($thisValue).'" />';
+			$item .= '<input type="hidden" name="' . $PA['itemFormElName'] . '" value="' . htmlspecialchars($thisValue) . '" />';
 		}
 
 		return $item;
@@ -1469,26 +1453,28 @@
 	 * @param	array		An array with additional configuration options.
 	 * @return	string		The HTML code for the TCEform field
 	 */
-	function getSingleField_typeRadio($table,$field,$row,&$PA)	{
+	function getSingleField_typeRadio($table, $field, $row, &$PA) {
 		$config = $PA['fieldConf']['config'];
 
 		$disabled = '';
-		if($this->renderReadonly || $config['readOnly'])  {
+		if ($this->renderReadonly || $config['readOnly']) {
 			$disabled = ' disabled="disabled"';
 		}
 
 			// Get items for the array:
 		$selItems = $this->initItemArray($PA['fieldConf']);
-		if ($config['itemsProcFunc']) $selItems = $this->procItems($selItems,$PA['fieldTSConfig']['itemsProcFunc.'],$config,$table,$row,$field);
+		if ($config['itemsProcFunc']) {
+			$selItems = $this->procItems($selItems, $PA['fieldTSConfig']['itemsProcFunc.'], $config, $table, $row, $field);
+		}
 
 			// Traverse the items, making the form elements:
-		for ($c=0;$c<count($selItems);$c++) {
+		for ($c = 0; $c < count($selItems); $c++) {
 			$p = $selItems[$c];
-			$rID = $PA['itemFormElID'].'_'.$c;
+			$rID = $PA['itemFormElID'] . '_' . $c;
-			$rOnClick = implode('',$PA['fieldChangeFunc']);
+			$rOnClick = implode('', $PA['fieldChangeFunc']);
-			$rChecked = (!strcmp($p[1],$PA['itemFormElValue'])?' checked="checked"':'');
+			$rChecked = (!strcmp($p[1], $PA['itemFormElValue']) ? ' checked="checked"' : '');
-			$item.= '<input type="radio"'.$this->insertDefStyle('radio').' name="'.$PA['itemFormElName'].'" value="'.htmlspecialchars($p[1]).'" onclick="'.htmlspecialchars($rOnClick).'"'.$rChecked.$PA['onFocus'].$disabled.' id="'.$rID.'" />
+			$item .= '<input type="radio"' . $this->insertDefStyle('radio') . ' name="' . $PA['itemFormElName'] . '" value="' . htmlspecialchars($p[1]) . '" onclick="' . htmlspecialchars($rOnClick) . '"' . $rChecked . $PA['onFocus'] . $disabled . ' id="' . $rID . '" />
-					<label for="'.$rID.'">'.htmlspecialchars($p[0]).'</label>
+					<label for="' . $rID . '">' . htmlspecialchars($p[0]) . '</label>
 					<br />';
 		}
 
@@ -1505,14 +1491,14 @@
 	 * @param	array		An array with additional configuration options.
 	 * @return	string		The HTML code for the TCEform field
 	 */
-	function getSingleField_typeSelect($table,$field,$row,&$PA)	{
+	function getSingleField_typeSelect($table, $field, $row, &$PA) {
 		global $TCA;
 
 			// Field configuration from TCA:
 		$config = $PA['fieldConf']['config'];
 
 		$disabled = '';
-		if($this->renderReadonly || $config['readOnly'])  {
+		if ($this->renderReadonly || $config['readOnly']) {
 			$disabled = ' disabled="disabled"';
 		}
 
